Skip to main content
Docs

Search guides and API endpoints, for example “Idempotency-Key” or “submit job”.

    API reference

    Reference papers

    On this page

    Search reference papers

    GET/api/v1/reference/papers

    API key or token

    Parameters

    Query parameters
    NameTypeDescription
    qrequiredstring

    Limits: min length 1, max length 200

    paper_setstring

    One of: "method", "used_cognichem", "general"

    limitinteger

    Default: 10Limits: ≥ 1, ≤ 50

    Example request

    curl "https://api.cognichem.com/api/v1/reference/papers?q=pKa%20protonation" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · ReferenceSearchResponse

    Response fields
    FieldTypeDescription
    modestring

    Default: "lexical"One of: "hybrid", "lexical"

    papers[]requiredReferencePaper[]
    papers.abstractstring | null
    papers.abstract_licensestring | null

    One of: "CC0", "CC BY"

    papers.abstract_license_urlstring | null
    papers.abstract_noticestring | null
    papers.abstract_sourcestring | null
    papers.authors[]string[]
    papers.authors_totalinteger

    Default: 0

    papers.doistring | null
    papers.idrequiredstring
    papers.oa_urlstring | null
    papers.paper_setrequiredstring

    One of: "method", "used_cognichem", "general"

    papers.retrieved_atstring | null
    papers.sourcerequiredstring
    papers.titlerequiredstring
    papers.urlstring | null
    papers.venuestring | null
    papers.yearinteger | null
    provenancerequiredReferenceProvenance
    provenance.entity_ids[]string[]
    provenance.outbound[]map<string, string>[]
    provenance.source"cognichem_reference_kg"

    Default: "cognichem_reference_kg"

    queryrequiredstring

    Get one reference paper

    GET/api/v1/reference/papers/{paper_id}

    API key or token

    Parameters

    Path parameters
    NameTypeDescription
    paper_idrequiredstring

    Example request

    curl "https://api.cognichem.com/api/v1/reference/papers/PAPER_ID" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · ReferencePaperResponse

    Response fields
    FieldTypeDescription
    cited_by_countinteger

    Default: 0

    edges[]requiredReferenceEdge[]
    edges.dst_idrequiredstring
    edges.dst_kindrequiredstring

    One of: "paper", "product_node"

    edges.kindrequiredstring

    One of: "cites", "method_of", "uses_tool", "compares", "describes"

    edges.src_paper_idrequiredstring
    paperrequiredReferencePaper
    paper.abstractstring | null
    paper.abstract_licensestring | null

    One of: "CC0", "CC BY"

    paper.abstract_license_urlstring | null
    paper.abstract_noticestring | null
    paper.abstract_sourcestring | null
    paper.authors[]string[]
    paper.authors_totalinteger

    Default: 0

    paper.doistring | null
    paper.idrequiredstring
    paper.oa_urlstring | null
    paper.paper_setrequiredstring

    One of: "method", "used_cognichem", "general"

    paper.retrieved_atstring | null
    paper.sourcerequiredstring
    paper.titlerequiredstring
    paper.urlstring | null
    paper.venuestring | null
    paper.yearinteger | null
    provenancerequiredReferenceProvenance
    provenance.entity_ids[]string[]
    provenance.outbound[]map<string, string>[]
    provenance.source"cognichem_reference_kg"

    Default: "cognichem_reference_kg"

    List papers linked to a job type or paper

    GET/api/v1/reference/neighborhood

    API key or token

    Parameters

    Query parameters
    NameTypeDescription
    node_idstring

    Limits: max length 220

    paper_idstring

    Limits: max length 130

    kindstring

    One of: "cites", "method_of", "uses_tool", "compares", "describes"

    limitinteger

    Default: 25Limits: ≥ 1, ≤ 50

    Example request

    curl "https://api.cognichem.com/api/v1/reference/neighborhood?node_id=job_type%3Aprotein-prepare" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · ReferenceNeighborhoodResponse

    Response fields
    FieldTypeDescription
    centerrequiredstring
    edges[]requiredReferenceEdge[]
    edges.dst_idrequiredstring
    edges.dst_kindrequiredstring

    One of: "paper", "product_node"

    edges.kindrequiredstring

    One of: "cites", "method_of", "uses_tool", "compares", "describes"

    edges.src_paper_idrequiredstring
    papers[]requiredReferencePaper[]
    papers.abstractstring | null
    papers.abstract_licensestring | null

    One of: "CC0", "CC BY"

    papers.abstract_license_urlstring | null
    papers.abstract_noticestring | null
    papers.abstract_sourcestring | null
    papers.authors[]string[]
    papers.authors_totalinteger

    Default: 0

    papers.doistring | null
    papers.idrequiredstring
    papers.oa_urlstring | null
    papers.paper_setrequiredstring

    One of: "method", "used_cognichem", "general"

    papers.retrieved_atstring | null
    papers.sourcerequiredstring
    papers.titlerequiredstring
    papers.urlstring | null
    papers.venuestring | null
    papers.yearinteger | null
    provenancerequiredReferenceProvenance
    provenance.entity_ids[]string[]
    provenance.outbound[]map<string, string>[]
    provenance.source"cognichem_reference_kg"

    Default: "cognichem_reference_kg"